Bug 64782 - I18N - some words on nb platform manager not from localized bundle
I18N - some words on nb platform manager not from localized bundle
Status: VERIFIED FIXED
Product: apisupport
Classification: Unclassified
Component: Project
5.x
All All
: P2 (vote)
: 5.x
Assigned To: Jesse Glick
issues@apisupport
: I18N
Depends on: 66543
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-21 05:05 UTC by Ken Frank
Modified: 2006-01-26 09:50 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ken Frank 2005-09-21 05:05:45 UTC
in nb platform manager, the modules tab -
the platform modules words seem to be
in bundle files and are localized
but not coming from the localized bundle files -
(I dont think options window has modoule names/descrip any more 
and module manager - the module names do appear to be from localized bundle
Comment 1 Jesse Glick 2005-09-21 05:24:19 UTC
Maybe not loading I18N variants of these from target platform when they are
available in the user's current locale. Can try to check, though I have no
internationalized builds to test with.
Comment 2 Jesse Glick 2005-10-08 15:52:06 UTC
Working on a patch... involves some nontrivial refactoring, though, so QA take
notice: possibility of regressions in display/editing of strings in Display
panel of module projects (I will try to look for obvious problems).

Fairly clear to me that platform modules (e.g. in Libraries panels of suite or
module projects) should show display name etc. from user's current locale. But
far from obvious is what the behavior should be when working on module source
code where locale variants of the primary Bundle.properties include the locale
the user is running in. E.g. working on a project with Bundle.properties and
Bundle_ja.properties and running in Japanese. So, should Display panel show the
Japanese name? If the name is edited, should it be stored in Bundle.properties
or Bundle_ja.properties? Currently assuming that the display should show the
Japanese name and store changes to Bundle_ja.properties.
Comment 3 Jesse Glick 2005-10-12 01:50:41 UTC
Ought to be fixed now except for lesser problem reported separately in issue #66543.

committed   * Up-To-Date  1.21       
apisupport/project/src/org/netbeans/modules/apisupport/project/Util.java
committed   * Up-To-Date  1.33       
apisupport/project/src/org/netbeans/modules/apisupport/project/ui/customizer/SingleModuleProperties.java
committed   * Up-To-Date  1.5        
apisupport/project/src/org/netbeans/modules/apisupport/project/universe/BinaryEntry.java
committed   * Up-To-Date  1.9        
apisupport/project/src/org/netbeans/modules/apisupport/project/universe/LocalizedBundleInfo.java
committed   * Up-To-Date  1.16       
apisupport/project/src/org/netbeans/modules/apisupport/project/universe/ModuleList.java
committed   * Up-To-Date  1.23       
apisupport/project/test/unit/src/org/netbeans/modules/apisupport/project/TestBase.java
committed   * Up-To-Date  1.8        
apisupport/project/test/unit/src/org/netbeans/modules/apisupport/project/UtilTest.java
committed   * Up-To-Date  1.10       
apisupport/project/test/unit/src/org/netbeans/modules/apisupport/project/layers/WritableXMLFileSystemTest.java
committed   * Up-To-Date  1.19       
apisupport/project/test/unit/src/org/netbeans/modules/apisupport/project/ui/customizer/SingleModulePropertiesTest.java
Comment 4 Marek Grummich 2006-01-26 09:50:09 UTC
verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo